# Generated by sila2.code_generator; sila2.__version__: 0.9.2
from __future__ import annotations

from typing import Optional

from sila2.framework.errors.defined_execution_error import DefinedExecutionError

from .connectionconfigurationservice_feature import ConnectionConfigurationServiceFeature


class InvalidSiLAClient(DefinedExecutionError):
    def __init__(self, message: Optional[str] = None):
        if message is None:
            message = "Invalid SiLA Client specified. E.g. invalid hostname"
        super().__init__(
            ConnectionConfigurationServiceFeature.defined_execution_errors["InvalidSiLAClient"], message=message
        )
